Public Attributes | List of all members
esls_c_handles_t Struct Reference
BLE Services » Electronic Shelf Label Service (ESLS) | BLE Services » Shelf Label AP Client (ESLS_C) » Structures

Handles on the connected peer device needed to interact with it. More...

`#include <esls_c.h>`

## Public Attributes
uint16_t | esls_srvc_start_handle
uint16_t | esls_srvc_end_handle
uint16_t | esls_addr_handle
uint16_t | esls_ap_sync_key_handle
uint16_t | esls_rsp_key_handle
uint16_t | esls_current_abs_time_handle
uint16_t | esls_display_handle
uint16_t | esls_image_handle
uint16_t | esls_sensor_handle
uint16_t | esls_led_handle
uint16_t | esls_ctrl_point_handle
uint16_t | esls_ctrl_point_cccd_handle

## Detailed Description

Handles on the connected peer device needed to interact with it.

Definition at line 209 of file esls_c.h.

## Member Data Documentation

## ◆ esls_addr_handle

uint16_t esls_c_handles_t::esls_addr_handle

ESL address characteristic Value handle which has been got from peer.

Definition at line 213 of file esls_c.h.

## ◆ esls_ap_sync_key_handle

uint16_t esls_c_handles_t::esls_ap_sync_key_handle

ESL AP Sync Key characteristic Value handle which has been got from peer.

Definition at line 214 of file esls_c.h.

## ◆ esls_ctrl_point_cccd_handle

uint16_t esls_c_handles_t::esls_ctrl_point_cccd_handle

ESL CCCD handle has been got from peer.

Definition at line 222 of file esls_c.h.

## ◆ esls_ctrl_point_handle

uint16_t esls_c_handles_t::esls_ctrl_point_handle

ESL Control Point characteristic Value handle which has been got from peer.

Definition at line 221 of file esls_c.h.

## ◆ esls_current_abs_time_handle

uint16_t esls_c_handles_t::esls_current_abs_time_handle

ESL current absolute time characteristic Value handle which has been got from peer.

Definition at line 216 of file esls_c.h.

## ◆ esls_display_handle

uint16_t esls_c_handles_t::esls_display_handle

ESL display information characteristic Value handle which has been got from peer.

Definition at line 217 of file esls_c.h.

## ◆ esls_image_handle

uint16_t esls_c_handles_t::esls_image_handle

ESL image information characteristic Value handle which has been got from peer.

Definition at line 218 of file esls_c.h.

## ◆ esls_led_handle

uint16_t esls_c_handles_t::esls_led_handle

ESL LED information characteristic Value handle which has been got from peer.

Definition at line 220 of file esls_c.h.

## ◆ esls_rsp_key_handle

uint16_t esls_c_handles_t::esls_rsp_key_handle

ESL esl response key characteristic Value handle which has been got from peer.

Definition at line 215 of file esls_c.h.

## ◆ esls_sensor_handle

uint16_t esls_c_handles_t::esls_sensor_handle

ESL Sensor information characteristic Value handle which has been got from peer.

Definition at line 219 of file esls_c.h.

## ◆ esls_srvc_end_handle

uint16_t esls_c_handles_t::esls_srvc_end_handle

ESL Service end handle.

Definition at line 212 of file esls_c.h.

## ◆ esls_srvc_start_handle

uint16_t esls_c_handles_t::esls_srvc_start_handle

ESL Service start handle.

Definition at line 211 of file esls_c.h.

The documentation for this struct was generated from the following file:

- esls_c.h